Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class CMRInvocation

    java.lang.Object
      org.jboss.invocation.Invocation
          org.jboss.invocation.LocalEJBInvocation
              org.jboss.ejb.plugins.cmp.jdbc.bridge.CMRInvocation

public final class CMRInvocation
extends LocalEJBInvocation

Optimized invocation object for local CMR invocations

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.invocation.Invocation
`args, as_is_payload, invocationContext, invocationType, INVOKE_SIGNATURE, method, objectName, payload, transient_payload`

Constructor Summary
`CMRInvocation()`

Method Summary
`CMRMessage` | `getCmrMessage()`
`Entrancy` | `getEntrancy()`
`void` | `setCmrMessage(CMRMessage cmrMessage)`
`void` | `setEntrancy(Entrancy entrancy)`

Methods inherited from class org.jboss.invocation.LocalEJBInvocation
`getCredential, getEnterpriseContext, getId, getPrincipal, getTransaction, setCredential, setEnterpriseContext, setId, setPrincipal, setTransaction`

Methods inherited from class org.jboss.invocation.Invocation
`getArguments, getAsIsPayload, getAsIsValue, getInvocationContext, getMethod, getObjectName, getPayload, getPayloadValue, getTransientPayload, getTransientValue, getType, getValue, isLocal, performCall, setArguments, setInvocationContext, setMethod, setObjectName, setType, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMRInvocation

    public CMRInvocation()

Method Detail

### getEntrancy

    public Entrancy getEntrancy()

### setEntrancy

    public void setEntrancy(Entrancy entrancy)

### getCmrMessage

    public CMRMessage getCmrMessage()

### setCmrMessage

    public void setCmrMessage(CMRMessage cmrMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.